#include <genesis.h>

#include "Debug.h"
#include "generated\DebugSettings.h"

#include "JoypadManager.h"
#include "LevelManager.h"
#include "StateManager.h"
#include "VDP_Extra.h"

#include "sound.h"

//#define SHOW_TITLE_SCREEN

#ifdef SHOW_TITLE_SCREEN
#include "TitleScreen.h"
#endif

void SetupSystem()
{
    VDP_init();
    VDP_setScreenHeight224();
    VDP_setScreenWidth320();
    JOY_init();

    DebugSettings_Init();
    JoypadManager_Init();
}


int main()
{
    //SND_startPlay_VGM(testvgm);
    
    SetupSystem();

#ifdef SHOW_TITLE_SCREEN
    TitleScreen_Start();
#else
    LevelManager_Init();
#endif
    while (1) 
    {
        JoypadManager_UpdateJoypad();
        StateManager_CurrentState();
    }
}

