# helper script that generates bitmaps.rc from the *.bmp files in the gamedata/bitmaps folder

import sys
import os
import time
import xml.etree.ElementTree as ET

bitmaplist = []

bitmapsrc_timestamp = None

bitmaprcfilename = '..\\gamedata\\bitmaps\\bitmaps.rc'

#destination_folder = "gamedata\\bitmaps"
#destination_path = os.path.realpath('.') + "\\" + destination_folder

from glob import glob
print "************** Checking to update bitmaps.rc file **************"

def getbitmaplist():
    global bitmaplist
    bitmaplist = glob('..\\gamedata\\Bitmaps\\*.bmp')

def gettilesrctimestamp():
    global bitmapsrc_timestamp
    bitmapsrc_timestamp = os.path.getmtime(bitmaprcfilename)


def maps_are_newer():
    global bitmapsrc_timestamp
    global bitmaplist
    for bitmap in bitmaplist:
        maptimestamp = os.path.getmtime(bitmap)
        if maptimestamp > bitmapsrc_timestamp:
            return True
    return False

def touchbitmaprcfile():
    with file(bitmaprcfilename, 'a'):
        os.utime(bitmaprcfilename, None)

if not os.path.exists(bitmaprcfilename):
    print 'MISSING BITMAPS.RC FILE'
    sys.exit()

touch_bitmapsrc = True
getbitmaplist()

gettilesrctimestamp()

if maps_are_newer():
    print "************** Touching bitmaps.rc file **************"
    touchbitmaprcfile()
else:
    print "************** No update to bitmaps.rc file required **************"

