#include "FadeManager.h"

#include <vdp_pal.h>

#include "exported\ExportedGenResSprites.h"

u16 allPaletteValues[64];

void FadeManager_SetPalette(u16 paletteIndex, const u16* palette)
{
    int loop = 0;
    for (loop = 0; loop < 16; loop++)
    {
        allPaletteValues[loop + (paletteIndex << 4)] = palette[loop];
    }
}

//#define ENABLE_FADE

void FadeManager_SetAllBlack()
{

#ifdef ENABLE_FADE
    VDP_setPalette(PAL0, palette_black);
    VDP_setPalette(PAL1, palette_black);
    VDP_setPalette(PAL2, palette_black);
    VDP_setPalette(PAL3, palette_black);
#else
    VDP_setPalette(PAL0, level001_tilesetSprite.pal);
    VDP_setPalette(PAL1, weapon001PaletteSprite.pal);
    VDP_setPalette(PAL2, level001_tilesetSprite.pal);
    VDP_setPalette(PAL3, level001_background_tilesetSprite.pal);
#endif
}


void FadeManager_FadeIn()
{
    //VDP_fadeInAll(allPaletteValues, 8, 1);
}

void FadeManager_FadeOut()
{
    //VDP_fadeOutAll(8, 1);
}
