#ifndef JOYPAD_MANAGER_INCLUDE_H
#define JOYPAD_MANAGER_INCLUDE_H

#include <genesis.h>

typedef struct
{
    u16 startPressed;
    u16 aPressed;
    u16 bPressed;
    u16 cPressed;

    u16 leftPressed;
    u16 rightPressed;
    u16 upPressed;
    u16 downPressed;

} JoystickStateStruct;

extern u16 joystate;
extern JoystickStateStruct joystickState;

void JoypadManager_Init();
void JoypadManager_ResetJoypad();
void JoypadManager_UpdateJoypad();

#endif
