#ifndef OBJECT_STREAMER_INCLUDE_H
#define OBJECT_STREAMER_INCLUDE_H

#include <genesis.h>

#include "ObjectStruct.h"

typedef struct
{
    ObjectCreateFunctionType createObject;
    s16 x;
    s16 y;
    u32* properties;
    u16 numProperties;
} SpawnStruct;

typedef const SpawnStruct const * Spawns;

void ObjectStreamer_Init();
void ObjectStreamer_Update();

#endif
