#include "level001.h"

#include <genesis.h>

#include "..\Debug.h"
#include "..\generated\AllLevels.h"
#include "..\exported\ExportedGenResSprites.h"
#include "..\exported\ExportedMaps.h"
#include "..\FadeManager.h"
#include "..\MathUtils.h"
#include "..\VDPManager.h"
#include "..\exported\ExportedGGAnimations.h"
#include "..\generated\AllObjects.h"

void Level001_InitLevel()
{
    FadeManager_SetPalette(PAL0, level001_tilesetSprite.pal);
    FadeManager_SetPalette(PAL1, weapon001PaletteSprite.pal);
    FadeManager_SetPalette(PAL2, level001_tilesetSprite.pal);
    FadeManager_SetPalette(PAL3, level001_background_tilesetSprite.pal);
}

void Level001_UpdateLevel()
{

}

const Level level001 =
{
    Level001_InitLevel,
    Level001_UpdateLevel,
    &level001_map,
    &level001_background_map,
    NULL
};

